package dev.inmo.postssystem.features.files.common

import kotlinx.serialization.Serializable
import kotlin.jvm.JvmInline


@Serializable
@JvmInline
value class FileId(val string: String) {
    override fun toString(): String = string.toString()
}

@Serializable
sealed class FileInfoStorageWrapper {
    abstract val id: FileId
    abstract val fileInfo: FileInfo
}
@Serializable
data class MetaFileInfoStorageWrapper(override val id: FileId, override val fileInfo: MetaFileInfo) : FileInfoStorageWrapper()
@Serializable
data class FullFileInfoStorageWrapper(override val id: FileId, override val fileInfo: FullFileInfo) : FileInfoStorageWrapper()
